DistGeom::ChiralSet Class Reference

Class used to store a quartet of points and chiral volume bounds on them. More...

`#include <ChiralSet.h>`

## Public Member Functions

| ChiralSet (unsigned int pid0, unsigned int pid1, unsigned int pid2, unsigned int pid3, unsigned int pid4, double lowerVolBound, double upperVolBound)
double | getUpperVolumeBound () const
double | getLowerVolumeBound () const

## Public Attributes

unsigned int | d_idx0
unsigned int | d_idx1
unsigned int | d_idx2
unsigned int | d_idx3
unsigned int | d_idx4
double | d_volumeLowerBound
double | d_volumeUpperBound

## Detailed Description

Class used to store a quartet of points and chiral volume bounds on them.

Definition at line 24 of file ChiralSet.h.

## Constructor & Destructor Documentation

## ChiralSet()

DistGeom::ChiralSet::ChiralSet | ( | unsigned int | pid0,
|  | unsigned int | pid1,
|  | unsigned int | pid2,
|  | unsigned int | pid3,
|  | unsigned int | pid4,
|  | double | lowerVolBound,
|  | double | upperVolBound
| ) |  |

inline

Definition at line 34 of file ChiralSet.h.

References CHECK_INVARIANT.

## Member Function Documentation

## getLowerVolumeBound()

double DistGeom::ChiralSet::getLowerVolumeBound | ( |  | ) | const

inline

Definition at line 51 of file ChiralSet.h.

## getUpperVolumeBound()

double DistGeom::ChiralSet::getUpperVolumeBound | ( |  | ) | const

inline

Definition at line 49 of file ChiralSet.h.

## Member Data Documentation

## d_idx0

unsigned int DistGeom::ChiralSet::d_idx0

Definition at line 26 of file ChiralSet.h.

## d_idx1

unsigned int DistGeom::ChiralSet::d_idx1

Definition at line 27 of file ChiralSet.h.

## d_idx2

unsigned int DistGeom::ChiralSet::d_idx2

Definition at line 28 of file ChiralSet.h.

## d_idx3

unsigned int DistGeom::ChiralSet::d_idx3

Definition at line 29 of file ChiralSet.h.

## d_idx4

unsigned int DistGeom::ChiralSet::d_idx4

Definition at line 30 of file ChiralSet.h.

## d_volumeLowerBound

double DistGeom::ChiralSet::d_volumeLowerBound

Definition at line 31 of file ChiralSet.h.

## d_volumeUpperBound

double DistGeom::ChiralSet::d_volumeUpperBound

Definition at line 32 of file ChiralSet.h.

The documentation for this class was generated from the following file:

- ChiralSet.h